> For the complete documentation index, see [llms.txt](https://docs.paytweed.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.paytweed.com/developer-tools/webhooks/checkout-webhooks.md).

# Checkout Webhooks

## Checkout Status Updated

Body (payload) of the POST request:

```json
{
    type: "CHECKOUT_STATUS_UPDATED";
    data: {
        checkoutData: {
            checkoutId: string;
            quantity: number;
            price: number;
            customParams?: object;
        };
        status: CheckoutStatus;
        paymentData?: {
            status: string;
            amount: number;
            created: number;
            currency: string;
            livemode: boolean;
            metadata?: {
                chain_id?: string;
                request_id?: string;
                transaction_hash?: string;
            };
            paymentMehod?: {
                billingDetails?: object;
                card?: object;
                ...
            };
        };
    };
}
```

Example

```json
{
  "type": "CHECKOUT_STATUS_UPDATED",
  "data": {
    "checkoutData": {
      "checkoutId": "aa96176f-1136-4716-9213-8f5ec43ffa81",
      "quantity": 10,
      "price": 1,
      "customParams": {
        ...
      }
    },
    "status": "DONE",
    "paymentData": {
      "status": "succeeded",
      "amount": 1055,
      "created": 1738705790,
      "currency": "usd",
      "livemode": true,
      "metadata": {
        "chain_id": "c7e243e4-e6b2-487c-99a1-8d36d49046bc",
        "request_id": "68f83be4-4c93-44c8-925c-1052bd7fbced",
        "transaction_hash": "0xe93cd08ec2778c5490daea7ee59240f4bdbaa883e8024eec3749ecb2cb4d11e9"
      },
      "paymentMethod": {
        "billingDetails": {
          "address": {
            ...
          },
          "email": "tesetest@test.com",
        },
        "card": {
          "brand": "mastercard",
          "checks": {
            "address_line1_check": null,
            "address_postal_code_check": null,
            "cvc_check": "pass"
          },
          "country": "IL",
          "display_brand": "mastercard",
          "exp_month": 10,
          "exp_year": 2030,
          "fingerprint": "...",
          "funding": "credit",
          "generated_from": null,
          "last4": "1234",
          "networks": {
            "available": [
              "mastercard"
            ],
            "preferred": null
          },
          "regulated_status": "unregulated",
          "three_d_secure_usage": {
            "supported": true
          },
          "wallet": null
        },
        "created": 1738705842,
        "type": "card"
      },
      "receiptEmail": "test1234@test.com"
    }
  }
}
```

### <mark style="color:green;">CheckoutStatus</mark>

#### CREATED

indicates that a checkout intent was submitted to Tweed and was created

#### PERFORM\_CHECKOUT\_SUBMITTED

indicates that the end user submitted the checkout successfuly

#### TRANSACTION\_BROADCAST

indicates that the transaction was broadcasted to the blockchain

#### DONE

indicates that the checkout process was successful and the user received the token to it's wallet

#### FAILED

indicates that the checkout process failed

#### FAILED\_AFTER\_TX\_COMPLETED

indicates that the checkout process failed after the transaction was already completed on chain


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.paytweed.com/developer-tools/webhooks/checkout-webhooks.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
